org.keycloak.exportimport.dir

## Class DirExportProvider

- java.lang.Object
- - org.keycloak.exportimport.util.MultipleStepsExportProvider
  - - org.keycloak.exportimport.dir.DirExportProvider

- All Implemented Interfaces:
    ExportProvider, Provider

      public class DirExportProvider
      extends MultipleStepsExportProvider

  Author:
    Marek Posolda

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.exportimport.util.MultipleStepsExportProvider

      `MultipleStepsExportProvider.FederatedUsersHolder, MultipleStepsExportProvider.RealmsHolder, MultipleStepsExportProvider.UsersHolder`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.exportimport.util.MultipleStepsExportProvider

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirExportProvider()`
    `DirExportProvider(File rootDirectory)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `static boolean` | `recursiveDeleteDir(File dirPath)`
    `protected void` | `writeFederatedUsers(String fileName, KeycloakSession session, RealmModel realm, List<String> users)`
    `void` | `writeRealm(String fileName, RealmRepresentation rep)`
    `protected void` | `writeUsers(String fileName, KeycloakSession session, RealmModel realm, List<UserModel> users)`

    - ### Methods inherited from class org.keycloak.exportimport.util.MultipleStepsExportProvider

      `exportModel, exportRealm, exportRealmImpl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirExportProvider

          public DirExportProvider()

    - #### DirExportProvider

          public DirExportProvider(File rootDirectory)

  - ### Method Detail

    - #### recursiveDeleteDir

          public static boolean recursiveDeleteDir(File dirPath)

    - #### writeRealm

          public void writeRealm(String fileName,
                                 RealmRepresentation rep)
                          throws IOException

      Specified by:
        `writeRealm` in class `MultipleStepsExportProvider`
      Throws:
        `IOException`

    - #### writeUsers

          protected void writeUsers(String fileName,
                                    KeycloakSession session,
                                    RealmModel realm,
                                    List<UserModel> users)
                             throws IOException

      Specified by:
        `writeUsers` in class `MultipleStepsExportProvider`
      Throws:
        `IOException`

    - #### writeFederatedUsers

          protected void writeFederatedUsers(String fileName,
                                             KeycloakSession session,
                                             RealmModel realm,
                                             List<String> users)
                                      throws IOException

      Specified by:
        `writeFederatedUsers` in class `MultipleStepsExportProvider`
      Throws:
        `IOException`

    - #### close

          public void close()

Copyright © 2021 JBoss by Red Hat. All rights reserved.